package com.anyway.favor.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 基础实体类
 *
 * @author anyway
 * @date 2024-02-20
 */
@Setter
@Getter
public class BaseModel {
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /** 创建者 */
    private Long createBy;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss", timezone = "GMT+8")
    private Date modifyTime;

    /** 修改者 */
    private Long modifyBy;
}
