package com.anyway.favor.model.dto;

import com.anyway.favor.model.FavorItem;
import com.anyway.favor.model.Gift;
import com.anyway.favor.model.Person;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

/**
 * 人情新增对象
 *
 * @author liuchuanwei
 * @date 2024-06-29
 */
@NoArgsConstructor
@Data
public class FavorItemDto extends FavorItem{
    /** 回赠礼物 */
    private Gift returnGift;
    /** 赠送礼物 */
    private Gift giveGift;

    public FavorItemDto(FavorItem favorItem) {
        BeanUtils.copyProperties(favorItem, this);
    }
    /** 转换为FavorItem对象 */
    public FavorItem toFavorItem() {
        return this;
    }
}


